Lavalite package that provides new management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `custom/new`.

    "custom/new": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Custom\New\Providers\NewServiceProvider::class,

And also add it to alias

    'New'  => Custom\New\Facades\New::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Custom\\NewTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Custom\New\Providers\NewServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Custom\New\Providers\NewServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Custom\New\Providers\NewServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/new/{modulename}

**User**

    http://path-to-route-folder/user/new/{modulename}

**Public**

    http://path-to-route-folder/news


### API endpoints

**List**

    http://path-to-route-folder/api/user/new/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/new/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/new/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/new/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/new/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/new/{modulename}/{slug}
    METHOD: GET